<?php

use App\Domain\Offers\Actions\DispatchOffersToIndexingAction;
use App\Domain\Offers\Elastic\OfferIndex;

return [
    'indexes' => [
        OfferIndex::class => [
            'scan' => DispatchOffersToIndexingAction::class,
        ],
    ],
    'settings' => [
        'number_of_shards' => env('ELASTIC_INDEX_SHARDS'),
        'number_of_replicas' => env('ELASTIC_INDEX_REPLICAS'),
    ],
];
